/*
 * $Id: ShoppingCartHome.java,v 1.3 2000/09/20 05:02:59 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.shoppingcart.cart.ejb;

import java.util.HashMap;
import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;

/**
 *  The home interface of shopping cart EJB.
 */


public interface ShoppingCartHome extends EJBHome {
    public ShoppingCart create() throws RemoteException, CreateException;

    public ShoppingCart create(HashMap startingCart)
        throws RemoteException, CreateException;

}
